# sashwin.h File Reference

## Classes

class | wxSashWindow
| wxSashWindow allows any of its edges to have a sash which can be dragged to resize the window. More...
class | wxSashEvent
| A sash event is sent when the sash of a wxSashWindow has been dragged by the user. More...

## Enumerations

enum | wxSashEdgePosition { wxSASH_TOP = 0, wxSASH_RIGHT, wxSASH_BOTTOM, wxSASH_LEFT, wxSASH_NONE = 100 }
| See wxSashWindow. More...
enum | wxSashDragStatus { wxSASH_STATUS_OK, wxSASH_STATUS_OUT_OF_RANGE }
| See wxSashEvent. More...

## Enumeration Type Documentation

enum wxSashDragStatus

See wxSashEvent.

Enumerator:

  wxSASH_STATUS_OK |
  wxSASH_STATUS_OUT_OF_RANGE |

enum wxSashEdgePosition

See wxSashWindow.

Enumerator:

  wxSASH_TOP |
  wxSASH_RIGHT |
  wxSASH_BOTTOM |
  wxSASH_LEFT |
  wxSASH_NONE |

|  | [ top ]